This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981879 - [abrt] libwebkit2gtk-2.0.3-1.fc19: WTF::RefPtr<WebKit::SharedMemory>::UnspecifiedBoolType: Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)
[abrt] libwebkit2gtk-2.0.3-1.fc19: WTF::RefPtr<WebKit::SharedMemory>::Unspeci...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:5c47ff856b21b56d0e2e21107aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 12:02 EDT by Michael Catanzaro
Modified: 2015-02-17 10:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:54:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.95 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: core_backtrace (4.60 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: dso_list (13.01 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: environ (1.41 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: maps (73.32 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: open_fds (456 bytes, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details
File: var_log_messages (4.90 KB, text/plain)
2013-07-06 12:02 EDT, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2013-07-06 12:02:18 EDT
Description of problem:
Happened when visiting a bug on this website.

Version-Release number of selected component:
libwebkit2gtk-2.0.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 11
crash_function: WTF::RefPtr<WebKit::SharedMemory>::UnspecifiedBoolType
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator WTF::RefPtr<WebKit::SharedMemory>::UnspecifiedBoolType at Source/WTF/wtf/RefPtr.h:70
 #1 isBackedBySharedMemory at Source/WebKit2/Shared/ShareableBitmap.h:115
 #2 WebKit::ShareableBitmap::data at Source/WebKit2/Shared/ShareableBitmap.cpp:159
 #3 WebKit::ShareableBitmap::createCairoSurface at Source/WebKit2/Shared/cairo/ShareableBitmapCairo.cpp:80
 #4 WebKit::ShareableBitmap::createGraphicsContext at Source/WebKit2/Shared/cairo/ShareableBitmapCairo.cpp:56
 #5 convertCairoSurfaceToShareableBitmap at Source/WebKit2/WebProcess/WebCoreSupport/gtk/WebDragClientGtk.cpp:49
 #6 WebKit::WebDragClient::startDrag at Source/WebKit2/WebProcess/WebCoreSupport/gtk/WebDragClientGtk.cpp:57
 #7 WebCore::DragController::doSystemDrag at Source/WebCore/page/DragController.cpp:912
 #8 WebCore::DragController::startDrag at Source/WebCore/page/DragController.cpp:852
 #9 WebCore::EventHandler::handleDrag at Source/WebCore/page/EventHandler.cpp:3499
Comment 1 Michael Catanzaro 2013-07-06 12:02:22 EDT
Created attachment 769643 [details]
File: backtrace
Comment 2 Michael Catanzaro 2013-07-06 12:02:24 EDT
Created attachment 769644 [details]
File: cgroup
Comment 3 Michael Catanzaro 2013-07-06 12:02:27 EDT
Created attachment 769645 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2013-07-06 12:02:32 EDT
Created attachment 769646 [details]
File: dso_list
Comment 5 Michael Catanzaro 2013-07-06 12:02:35 EDT
Created attachment 769647 [details]
File: environ
Comment 6 Michael Catanzaro 2013-07-06 12:02:38 EDT
Created attachment 769648 [details]
File: limits
Comment 7 Michael Catanzaro 2013-07-06 12:02:43 EDT
Created attachment 769649 [details]
File: maps
Comment 8 Michael Catanzaro 2013-07-06 12:02:46 EDT
Created attachment 769650 [details]
File: open_fds
Comment 9 Michael Catanzaro 2013-07-06 12:02:49 EDT
Created attachment 769651 [details]
File: proc_pid_status
Comment 10 Michael Catanzaro 2013-07-06 12:02:52 EDT
Created attachment 769652 [details]
File: var_log_messages
Comment 11 Tomas Popela 2013-07-23 09:14:09 EDT
Hi Michael,
thank you for your bug report. Can you please test if webkitgtk3-2.0.4-1.fc19 fixes the issue for you?
Comment 12 Michael Catanzaro 2013-07-29 22:00:46 EDT
Nope - just hit this crash in webkitgtk3-2.0.4-1.fc19
Comment 13 Michael Catanzaro 2013-10-02 11:29:30 EDT
As best I can tell, this was caused by my pressing the down arrow key on my keyboard to scroll down the page when viewing a story on The Atlantic.  That does seem unlikely, but no pages were loading at the time of the crash. Not reproducible.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 14
crash_function: WTF::RefPtr<WebKit::SharedMemory>::UnspecifiedBoolType
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.11.1-200.fc19.x86_64
package:        libwebkit2gtk-2.0.4-1.fc19
reason:         Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Michael Catanzaro 2014-01-03 16:52:35 EST
Try viewing the second or third stack traces attached to [1], just clicking the + button.  The first trace does not cause the crash.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=692070
Comment 15 Fedora End Of Life 2015-01-09 13:43:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 10:54:34 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.